phone_loop_search.h File Reference
`#include <sphinxbase/cmd_ln.h>`
`#include <sphinxbase/logmath.h>`
`#include <sphinxbase/ngram_model.h>`
`#include <sphinxbase/listelem_alloc.h>`
`#include "pocketsphinx_internal.h"`
`#include "hmm.h"`

Go to the source code of this file.

## Data Structures

struct | phone_loop_renorm_s
| Renormalization event. More...
struct | phone_loop_search_s
| Phone loop search structure. More...

## Macros

#define | phone_loop_search_score(pls, ci) ((pls == NULL) ? 0 : (pls->penalties[ci]))
| Return lookahead heuristic score for a specific phone.

## Typedefs

typedef struct phone_loop_renorm_s | phone_loop_renorm_t
typedef struct phone_loop_search_s | phone_loop_search_t

## Functions

ps_search_t * | phone_loop_search_init (cmd_ln_t *config, acmod_t *acmod, dict_t *dict)

## Detailed Description

Fast and rough context-independent phoneme loop search.

Fast and rough context-independent phoneme loop search.

This exists for the purposes of phoneme lookahead, and thus it actually does not do phoneme recognition (it wouldn't be very accurate anyway).

Definition in file phone_loop_search.h.